package com.fs.qw.service;

import com.fs.qw.domain.QwMaterial;
import com.fs.qw.dto.QwMaterialDTO;
import com.fs.store.domain.FsMaterial;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface IQwMaterialService {
    /**
     * 查询企微素材库
     *
     * @param id 企微素材库ID
     * @return 企微素材库
     */
    public QwMaterial selectQwMaterialById(Long id);

    /**
     * 查询企微素材库列表
     *
     * @param qwMaterial 企微素材库
     * @return 企微素材库集合
     */
    public List<QwMaterial> selectQwMaterialList(QwMaterial qwMaterial);

    /**
     * 新增企微素材库
     *
     */
    int insertQwsMaterials(QwMaterialDTO qwMaterialDTO) throws Exception;



    /**
     * 修改企微素材库
     *
     * @param qwMaterial 企微素材库
     * @return 结果
     */
    public int updateQwMaterial(QwMaterial qwMaterial);

    /**
     * 批量删除企微素材库
     *
     * @param ids 需要删除的企微素材库ID
     * @return 结果
     */
    public int deleteQwMaterialByIds(Long[] ids);

    /**
     * 删除企微素材库信息
     *
     * @param id 企微素材库ID
     * @return 结果
     */
    public int deleteQwMaterialById(Long id);
}
